%define srcname xf86-video-i128
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-i128
Version: 1.2.1
Release: alt1
Serial: 1
Summary: Number 9 I128 video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1: i128.xinf

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: x11-driver-i128
Requires: xorg-x11-server

BuildRequires: pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

ExclusiveArch: %ix86

%description
i128  is  an Xorg driver for Number 9 I128 video cards.  The
driver is accelerated and provides support for all versions of the I128
chip  family,  including  the  SGI flatpanel configuration.  Multi-head
configurations are supported.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/i128.xinf

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Sat Dec 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt1
- 1.2.1

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt2
- added videoaliases file from RH

* Sat Nov 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- 1.2.0

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0.6-alt1
- 1.0.6

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0.2-alt0.1
- initial release

